# scopedconnection.h File Reference

Declares the ScopedConnection class. More...

`#include "common.h"`

Go to the source code of this file.

## Namespaces

namespace | mysqlpp

## Classes

class | mysqlpp::ScopedConnection
| Grabs a Connection from a ConnectionPool on construction and releases it back to the pool on destruction, and provides access to the relevant Connection pointer. More...

## Detailed Description

Declares the ScopedConnection class.

This class lets you grab a connection from a ConnectionPool in a scoped and therefore RAII way. The Connection object will always be returned to the pool when the scope block ends, plugging a potential leak in the pool.